Bug 60132 - glibc-2.2.90-6.i686.rpm causing application crashes
glibc-2.2.90-6.i686.rpm causing application crashes
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-20 13:25 EST by ellson
Modified: 2007-03-26 23:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-25 16:03:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ellson 2002-02-20 13:25:56 EST
Description of Problem:

Applications such as xfig and mozilla are crashing with
glibc-2.2.90-6.i686.rpm from today's rawhide updates.

Version-Release number of selected component (if applicable):
2.2.90-6

How Reproducible:
100%


Steps to Reproduce:
1. update to  glibc-2.2.90-6
2. xfig
3. 

Actual Results:

Segmentation fault

Expected Results:

No segmentation fault

Additional Information:
	
$ gdb xfig
GNU gdb Red Hat Linux (5.1.1-1)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...(no debugging symbols
found)...(gdb) run
Starting program: /usr/bin/X11/xfig 

Program received signal SIGSEGV, Segmentation fault.
0x403095ea in free () from /lib/i686/libc.so.6
(gdb) where
#0  0x403095ea in free () from /lib/i686/libc.so.6
#1  0x402f543c in fclose@@GLIBC_2.1 () from /lib/i686/libc.so.6
#2  0x080abef1 in readComposeKey ()
#3  0x080aae26 in init_canvas ()
#4  0x08082770 in main ()
#5  0x402a65ba in __libc_start_main () from /lib/i686/libc.so.6
(gdb)
Comment 1 Sammy 2002-02-20 14:39:11 EST
Ditto here....xfig, xmgrace (not redhat supplied), etc. are all 
crashing...had to go back to -3. xmgrace gives an error message
saying it was incorrect installation.....perhaps some library is
pointing at a wrong place.
Comment 2 Jakub Jelinek 2002-02-21 08:46:48 EST
This might be http://sources.redhat.com/ml/libc-hacker/2002-02/msg00128.html
I'll build glibc-2.2.90-7 soonish, lets see if it is just it or something
else too.
Comment 3 Sammy 2002-02-25 14:01:24 EST
Got 2.2.90-7 and tested it...all programs that I found crashing with -6
are now working fine. FYI
Comment 4 Bill Crawford 2002-02-25 15:45:26 EST
I started downloading this ... and it stopped all of a sudden and I couldn't
reconnect.  Is people.redhat.com being relocated as I type?
Comment 5 Bill Crawford 2002-02-25 16:03:29 EST
OK, yes, this fixes the Mozilla crash.  Well hunted.

Note You need to log in before you can comment on or make changes to this bug.